#!/bin/sh
#---------------------------------------------------------------------------
#   For Unix/Linux
#
#   Start the MM3-WebAssistant - Utility
#


#   JAVA_JRE  environment variable must point to your Java Virtuale Machine (JRE).
#             example: JAVA_JRE=/usr/lib/java/jre/bin/java
JAVA_JRE=java


#   Change to the directory which contains the file MM3-WebAssistant.jar.
cd `dirname $0`/..


#   Start the MM3-Utility
"$JAVA_JRE" -Xmx200M -jar MM3-WebAssistant.jar utility

#   If the Indexer needs more memory, you can increase this.
#   You provide 200 Mega Byte of the RAM memory with the parameter -Xmx200M.


if [ "$?" != "130" ]; then
  echo
  echo "Java isn't installed"
  echo "or the environment variable is not defined correctly."
  echo "Please install Java or define the environment variable in this script-file."
  echo
  echo "You find downloads for Java locally:"
  echo "documentation/getJava.html"
  echo
  firefox "documentation/getJava.html" &
fi